﻿/*!
 * Jumbula Blobal Style
 * Copyright © 2015 - Author: Saeed Seyfi (saeedseyfi.com) at Jumbula
 */

@-webkit-keyframes spinnerRotate {
    from {
        -webkit-transform: rotate(50deg);
    }

    to {
        -webkit-transform: rotate(770deg);
    }
}

@-moz-keyframes spinnerRotate {
    from {
        -moz-transform: rotate(50deg);
    }

    to {
        -moz-transform: rotate(770deg);
    }
}

@-ms-keyframes spinnerRotate {
    from {
        -ms-transform: rotate(50deg);
    }

    to {
        -ms-transform: rotate(770deg);
    }
}

@-o-keyframes spinnerRotate {
    from {
        -o-transform: rotate(50deg);
    }

    to {
        -o-transform: rotate(770deg);
    }
}

@keyframes spinnerRotate {
    from {
        transform: rotate(50deg);
    }

    to {
        transform: rotate(770deg);
    }
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #f68b0f;
}

::-webkit-scrollbar-track {
    background-color: #242424;
}

.spin {
    -webkit-animation-name: spinnerRotate;
    -moz-animation-name: spinnerRotate;
    -ms-animation-name: spinnerRotate;
    -o-animation-name: spinnerRotate;
    animation-name: spinnerRotate;
    -webkit-animation-duration: 3s;
    -moz-animation-duration: 3s;
    -ms-animation-duration: 3s;
    -o-animation-duration: 3s;
    animation-duration: 3s;
    -webkit-animation-iteration-count: infinite;
    -moz-animation-iteration-count: infinite;
    -ms-animation-iteration-count: infinite;
    -o-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -moz-animation-timing-function: linear;
    -ms-animation-timing-function: linear;
    -o-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-transform-origin: 50%;
    -moz-transform-origin: 50%;
    -ms-transform-origin: 50%;
    -o-transform-origin: 50%;
    transform-origin: 50%;
}

.loading.spin {
    -webkit-animation-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
    -moz-animation-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
    -ms-animation-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
    -o-animation-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
    animation-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
}

.full-width {
    float: left !important;
    width: 100% !important;
}

.ellipsis {
    overflow: hidden;
    white-space: nowrap;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
}

label.req-star:after,
legend.req-star:after,
label.req:after,
legend.req:after {
    content: ' *';
    color: #ec1515;
}
/*chart Graph - chart info style start*/
.info-chart {
    height: auto;
    display: block;
    margin: 20px auto 20px;
    text-align: center;
    width:100%;
}
.info-chart  ul{
    list-style-type:square !important;
    width:auto;
    text-align:left;
    display:inline-block;
}
.info-chart  ul li{
     font-size:12px;
}
.info-chart ul>li#filled-spots:before{
    content: '■'; 
    color: #71CAF2; 
    font-size: 20px;
    margin-right: 5px;
   
}
.info-chart ul>li#open-spots:before{
    content: '■'; 
    color:#d0e8f3; 
    font-size: 20px;
    margin-right: 5px;
   
}
.info-chart ul>li#minimum-capacity:before{
    content: '■'; 
    color:#F4c514;
    opacity:0.5; 
    font-size: 20px;
    margin-right: 5px;
   
}
.info-chart ul>li#wait-list:before{
    content: '■'; 
    color:#8EFED6; 
    font-size: 20px;
    margin-right: 5px;
}
.info-chart ul>li#over-capacity:before{
    content: '■'; 
    color:#FF0000;
    opacity:0.4; 
    font-size: 20px;
    margin-right: 5px;
}
/*chart Graph - chart info style end*/
/* * * * * * Spinner * * * * * */
.btn-spinner {
    position: relative;
}

    .btn-spinner:before {
        content: '';
        display: block;
        position: absolute;
        top:0;
        right:0;
        bottom:0;
        left:0;
        background-color: #F68B0F;

    }

    .btn-spinner:after {
        content: '';
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%,-50%);
        -moz-transform: translate(-50%,-50%);
        -ms-transform: translate(-50%,-50%);
        -o-transform: translate(-50%,-50%);
        transform: translate(-50%,-50%);
        width: 40px;
        height: 40px;
        background-color: #FFF;
        border-radius: 100%;
        -webkit-animation: btnSpinner 1.0s infinite ease-in-out;
        animation: btnSpinner 1.0s infinite ease-in-out;
    }

@-webkit-keyframes btnSpinner {
    0% {
        -webkit-transform: translate(-50%,-50%) scale(0);
        -moz-transform: translate(-50%,-50%) scale(0);
        -ms-transform: translate(-50%,-50%) scale(0);
        -o-transform: translate(-50%,-50%) scale(0);
        transform: translate(-50%,-50%) scale(0);
    }

    100% {
        -webkit-transform: translate(-50%,-50%) scale(1.0);
        -moz-transform: translate(-50%,-50%) scale(1.0);
        -ms-transform: translate(-50%,-50%) scale(1.0);
        -o-transform: translate(-50%,-50%) scale(1.0);
        transform: translate(-50%,-50%) scale(1.0);
        opacity: 0;
    }
}

@keyframes btnSpinner {
    0% {
        -webkit-transform: translate(-50%,-50%) scale(0);
        -moz-transform: translate(-50%,-50%) scale(0);
        -ms-transform: translate(-50%,-50%) scale(0);
        -o-transform: translate(-50%,-50%) scale(0);
        transform: translate(-50%,-50%) scale(0);
    }

    100% {
        -webkit-transform: translate(-50%,-50%) scale(1.0);
        -moz-transform: translate(-50%,-50%) scale(1.0);
        -ms-transform: translate(-50%,-50%) scale(1.0);
        -o-transform: translate(-50%,-50%) scale(1.0);
        transform: translate(-50%,-50%) scale(1.0);
        opacity: 0;
    }
}
